﻿#Ce programme permet de suivre les positions d'un point ayant un
#mouvement rectiligne en utilisant le module 'matplotlib'

#il faut d'abord importer le module auquel on fera référence par 'plt'

import matplotlib.pyplot as plt

#il faut ensuite définir les conditions initiales (position et vitesse à l'instant t=0 s)
x_0 = 0 #en mètre
y_0 = 5
v_0 = 5 #en m/s

#définir la durée de l'étude et le nombre de positions que l'on souhaite afficher
T = 10 #en seconde
n = 10

#paramétrer l'itération : calcul pas à pas des positions successives du point

dt = T/n #durée du "pas"
i = 1 #démarre l'itération

#définition des variables de position et de vitesse comme des listes
#[x_0, x_1, x_2 ...] qu'il va falloir construire pas à pas
X = [x_0]
Y = [y_0]
valeur_vitesse = [v_0]

#boucle itérative
while i <= n:
        x_i = x_0 + v_0*dt
        x_0 = x_i
        X.append(x_i)    #la commande nom.append permet d'ajouter un élément à la liste 'nom'
        Y.append(y_0)
        valeur_vitesse.append(v_0)
        i += 1

#tracer les positions successives ainsi que le vecteur vitesse du point
#pour chacune de ces positions
axes = plt.gca()
axes.set_xlim(0, 50) #possibilité de définir les limites des axes.
axes.set_ylim(0, 6)
for j in range(n):
        plt.title("Mouvement rectiligne uniforme")
        plt.xlabel("abscisses")
        plt.ylabel("ordonnées")
        plt.quiver(X[j], Y[j], valeur_vitesse[j], 0, scale = 80)
        plt.pause(0.5)
#plt.plot(X, Y, ".", label="mouvement rectiligne uniforme")
plt.savefig('mouvement_rectiligne_uniforme.png') #enregistre le graphique dans un fichier image
plt.show()
plt.close()



